//	#pragma comment(linker, "/STACK:60000000")
#include <iostream>
#include <cstdio>
#include <cmath>
#include <ctime>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <string>

#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define len(x) (int((x).size()))
#ifdef LOCALD
#define eprintf(...) fprintf(stderr, __VA_ARGS__)
#else
#define eprintf(...) {}
#endif

#ifdef __linux__
#define I64d "%lld"
#else
#define I64d "%I64d"
#endif

typedef long long int int64;
typedef long double ext;

const int inf = 1000000000;


using namespace std;

int n, k, fstype, kk;
set<vector<int> > was;
vector<int> v;

int cnt(vector <int> &v){
	int x;
	x = 0;
	for (int i = 0; i < len(v); i++){
		int p = (i == 0) ? -1 : v[i - 1];
		if (v[i] - p == 1)
			x++;			
	}
	return len(v) - min(fstype, x) + 1;
}

bool brute(vector <int> &v){

	if (was.find(v) != was.end())
		return false;	
	/*eprintf("NEW VECTOR:");				
	for (int i = 0; i < len(v); i++)
		eprintf("%d ", v[i]);		
	eprintf("\n");		
	eprintf("CNT = %d\n", cnt(v));*/

	if (cnt(v) > n)
		return false;


		

	if ((len(v) == 1) && (v[0] == k - 1))
		return true;
		
	was.insert(v);
	int mx = -1;
	for (int i = 0; i < len(v); i++)
		mx = max(mx, v[i]);
	mx++;
	//eprintf("MX = %d\n", mx);
	bool res = false;
	if (mx <= k - 1){
		v.pb(mx);
		res = brute(v);					
		v.pop_back();
		if (res)
			return true;
	}	
	for (int i = 0; i < len(v); i++){
		int p = (i == 0) ? -1 : v[i - 1];
		if (v[i] - p == 1){
			if (i + 1 < len(v)){
				int x = v[i];
				v.erase(v.begin() + i);
				res = brute(v);
				v.insert(v.begin() + i , x);
				if (res)
					return true;
			}
		}	
		else if (p + 1 < mx - 1){
			int x = p + 1;
			v.insert(v.begin() + i, x);
			res = brute(v);
			v.erase(v.begin() + i);
			if (res)
				return true;
		} 		
	}
	return false;
} 

int main()
{
	#ifdef LOCALD
    assert(freopen("input.txt", "rt", stdin));
    assert(freopen("answer.txt", "wt", stdout));
    //assert(freopen("debug.txt", "wt", stderr));
    #endif
    scanf("%d %d", &n, &kk);
    n++;    
    fstype = 0;
    k = 1;
    int l = 1;
   int r = 10000;  
    while (r - l > 1){
		int m = (l + r) / 2;
		//eprintf("BRUTE(%d)\n", m);
		fflush(stderr);		
		v.clear();
		was.clear();
		k = m;
		if (brute(v))
			l = m;
		else
			r = m;			
	}
	printf("%s\n", l >= kk - 1 ? "YES" : "NO");

    return 0;
}
