#include <cstdio>
#include <iostream>
using namespace std;

#define MAX_PRIME 30000

bool is_prime(int x)
{
	if (x < 2) {
		return false;
	}
	for (int i = 2; i * i <= x; ++i) {
		if (x % i == 0) {
			return false;
		}
	}
	return true;
}

int main()
{
	//freopen("prime-segment.in","r",stdin);
	//freopen("prime-segment.out","w",stdout);
	int len, k;
	cin >> len >> k;

	int cnt = 0;

	for (int x = 1; x + len - 1 <= MAX_PRIME; ++x) {
                cnt = 0;
		for (int y = x; y < x + len; ++y) {
			cnt += is_prime(y);
		}
		if (cnt == k) {
			cout << x << " " << x + len - 1 << endl;
			return 0;
		}
	}
	cout << "-1\n";
	return 0;
}