#include "testlib.h"
#include <iostream>
#include <algorithm>
#include <cassert>

using namespace std;

int main(int argc, char* argv[]){
    registerGen(argc, argv);
	int N = 1e3;
	int g = rnd.next(1, 9);
	int a = 2, b = 2;
	while (__gcd(a, b) > 1)
		a = rnd.next(1, N / g), b = rnd.next(1, N / g);
	if (a > b)
		swap(a, b);
	int k = a * g, n = b * g;
	int length = n / g - 1;
	string prefix = "";
	for (int i = 0; i < length; i++)
		prefix += rnd.next('a', 'b');
	string s = string(n, 0);
	for (int i = 0; i < g; i++){
		for (int j = (i + rnd.next(0, 10000) * k) % n, curI = 0; !s[j]; j = (j + k) % n, curI++)
			if (curI >= length)
				s[j] = rnd.next('a', 'z');
			else
				s[j] = prefix[curI];
	}
	assert(*min_element(s.begin(), s.end()) >= 'a');
        cout << s.size() << ' ' << k << endl << s << endl;
	return 0;
}
