from sys import exit, stderr, stdin, stdout
stdin = open('map.in', 'r')
stdout = open('map.out', 'w')

def die():
    print >>stdout, "NO"
    exit(0)

n, m = map(int, stdin.readline().split())
if m >= 3 * n:
    die()

D = [set() for i in range(n + 1)]
for i in range(m):
    a, b = map(int, stdin.readline().split())
    D[a].add(b)
    D[b].add(a)
    
big = []
for i in range(1, n + 1):
    if len(D[i]) >= 5:
        big.append(i)
if len(big) != 1:
    die()

O = big[0]
print >>stderr, "center: ", O

def remove(a, b):
    D[a].remove(b)
    D[b].remove(a)

B = list(D[O])
R1 = set()
for b in B:
    p = O
    q = b
    while (True):
        remove(p, q)
        if len(D[q]) == 1:
            for r in D[q]:
                break
            p, q = q, r
        else:
            R1.add(q)
            break

print >>stderr, "ring1: ", R1

R2 = set()

for b in range(1, n + 1):
    if (len(D[b]) == 1):
        p = b
        for q in D[p]:
            break
        while (True):
            remove(p, q)
            if len(D[q]) == 1:
                for r in D[q]:
                    break
                p, q = q, r
            else:
                R2.add(q)
                break
print >>stderr, "ring2: ", R2

if R1 != R2:
    die()
for r in R1:
    if len(D[r]) != 2:
        die()

for p in R1:
    break
for q in D[p]:
    break
V = set()
while True:
    remove(p, q)
    V.add(q)
    if len(D[q]) == 0:
        break
    for r in D[q]:
        break
    p, q = q, r
print >>stderr, "ringV: ", V
if V != R1:
    die()
print >>stdout, "YES"
